Document structure/de: Difference between revisions

From FreeCAD Documentation
m (languages in alphabetic order, except english that goes first)
(Updating to match new version of source page)
Line 1: Line 1:
[[Image:Screenshot treeview.jpg|left]]
[[Image:Screenshot treeview.jpg|left]]
A FreeCAD document contains all the objects of your scene. It can contain groups, and objects made with any workbench. You can therefore switch between workbenches, and still work on the same document. The document is what gets saved to disk when you save your work. You can also open several documents at the same time in FreeCAD, and open several views of the same document.
Ein FreeCAD Dokument enthällt alle Objekte Ihrer Scene. Es kann Gruppen enthalten und Objekte die Sie mit Werkbänken erstellt haben. Daher können Sie zwischen Werkbänken wechseln und immer noch im selben Dokument arbeiten. Es ist das Dokument das gespeichert wird, wenn Sie Ihre Arbeit auf Datenträger speichern. Sie können sowohl mehrere Dokumente gleichzeitg in FreeCAD öffnen, als auch mehrere Ansichten im selben Dokument.


Inside the document, the objects can be moved into groups, and have a unique name. Managing groups, objects and object names is done mainly from the Tree view. It can also be done, of course, like everything in FreeCAD, from the python interpreter. In the Tree view, you can create groups, move objects to groups, delete objects or groups, by right-clicking in the tree view or on an object, rename objects by double-clicking on their names, or possibly other operations, depending on the current workbench.
Innerhalb des Dokuments können die Objekte in Gruppen und einzeln bewegt werden, und haben einen eindeutigen Namen. Verwalten von Gruppen, Objekten und Objekt-Namen wird vor allem aus der Baumansicht erledigt. Es kann natürlich auch wie alles in FreeCAD, über den Python-Interpreter geschehen. In der Baumansicht können Sie Gruppen erstellen, Objekte in Gruppen einfügen, Objekte oder Gruppen löschen, durch Klick mit der rechten Maustaste in der Baumansicht oder auf ein Objekt, umbenennen von Objekten durch Doppelklick auf ihren Namen, oder eventuell andere Operationen, je nach der aktuell gewählten Werkbank.


The objects inside a FreeCAD document can be of different types. Each workbench can create its own types of objects, for example the [[Mesh Workbench]] creates mesh objects, the [[Part Workbench]] create Part objects, the [[Draft Workbench]] also creates Part objects, etc.
Die Objekte innerhalb eines Dokuments in FreeCAD können unterschiedlicher Art sein.


If there is at least one document open in FreeCAD, there is always one and only one active document. That's the document that appears in the current 3D view, the document you are currently working on.
Jede Werkbank kann seine eigene Art von Objekten zu erstellen, zum Beispiel die [[Mesh Workbench]] schafft Polygonnetzobjekte, die [[Part Workbench]] erstellt Teil-Objekte, die [[Draft Workbench]] erstellt auch Teil-Objekte, etc.


==Application and User Interface==
Wenn mindestens ein Dokument in FreeCAD geöffnet ist, gibt es immer '''ein''' und '''nur ein''' aktives Dokument. Das ist das Dokument, das in der aktuellen 3D-Ansicht angezeigt wird, das Dokument, an welchem Sie derzeit arbeiten.


Like almost everything else in FreeCAD, the user interface part (Gui) is separated from the base application part (App). This is also valid for documents. The documents are also made of two parts: the Application document, which contains our objects, and the View document, which contains the representation on screen of our objects.
==Application und Benutzer-Oberfläche==


Think of it as two spaces, where the objects are defined. Their constructive parameters (is it a cube? a cone? which size?) are stored in the Application document, while their graphical representation (is it drawn with black lines? with blue faces?) are stored in the View document. Why is that? Because FreeCAD can also be used WITHOUT graphical interface, for example inside other programs, and we must still be able to manipulate our objects, even if nothing is drawn on the screen.
Wie fast alles in FreeCAD, ist die Benutzeroberfläche(GUI),vom Basis-Programm-Teil(App) getrennt.
Dies gilt auch für Dokumente. Die Dokumente bestehen auch aus zwei Teilen: das Application-Dokument, das unsere Objekte enthält, und das View-Dokument, das die Darstellung auf dem Bildschirm unserer Objekte enthält.


Another thing that is contained inside the View document are 3D views. One document can have several views opened, so you can inspect your document from several points of view at the same time. Maybe you would want to see a top view and a front view of your work at the same time? Then, you will have two views of the same document, both stored in the View document. Creating new views or closing views can be done from the View menu or by right-clicking on a view tab.
Betrachten Sie es als zwei Bereiche, in denen die Objekte definiert sind. Ihre konstruktiven Parametern (ist es ein Würfel? Einen Kegel? Welche Größe?) werden in dem Application-Dokument gespeichert, während ihre grafische Darstellung (ist es mit schwarzen Linien gezeichnet? mit blauen Flächen?) in dem View-Dokument gespeichert sind. Woran liegt das? Da FreeCAD auch ohne grafische Oberfläche verwendet werden kann, zum Beispiel innerhalb anderer Programme, und wir weiterhin in der Lage sein müssen, unsere Objekte zu manipulieren, selbst wenn nichts auf dem Bildschirm gezeichnet wird.

Eine andere Sache, die innerhalb des Ansicht-Dokuments enthalten ist, sind 3D-Ansichten. In einem Dokument können mehrere Ansichten geöffnet sein, so dass Sie Ihr Dokument aus mehreren Blickwinkeln gleichzeitig betrachten können. Vielleicht möchten Sie eine Draufsicht und eine Frontansicht Ihre Arbeit gleichzeitig sehen? Dann haben Sie zwei Ansichten des gleichen Dokuments, beide in nur einem View-Dokument gespeichert. Neue Ansichten anlegen oder Ansichten schliessen, können über das Menü Ansicht oder mit der rechten Maustaste auf eine Registerkarte "Ansicht" erfolgen.


==Scripting==
==Scripting==


Documents can be easily created, accessed and modified from the python interpreter. For example:
Dokumente können sehr einfach mittels des Python-interpreters erstellt und modifiziert werden. Zum Beispiel:
FreeCAD.ActiveDocument
FreeCAD.ActiveDocument
Will return the current (active) document
Gibt das aktuelle(aktive) Dokument zurück
FreeCAD.ActiveDocument.Blob
FreeCAD.ActiveDocument.Blob
Greift auf das Objekt namens "Blob" innerhalb Ihres Dokuments zu
Would access an object called "Blob" inside your document
FreeCADGui.ActiveDocument
FreeCADGui.ActiveDocument
Will return the view document associated to the current document
Ergibt das Ansicht-Dokument, das verbunden ist, mit dem aktuellen Dokument
FreeCADGui.ActiveDocument.Blob
FreeCADGui.ActiveDocument.Blob
Would access the graphical representation (view) part of our Blob object
Greift zu auf den grafischen Darstellungsteil(view) Ihres Blob-Objekts
FreeCADGui.ActiveDocument.ActiveView
FreeCADGui.ActiveDocument.ActiveView
Will return the current view
Gibt die aktuelle Ansicht zurück

{{docnav/de|Navigieren im 3D-Raum|Benutzereinstellungen vornehmen}}


{{docnav|Mouse Model|Preferences Editor}}
{{languages/de | {{en|Document structure}} {{cn|Document structure/cn}} {{es|Document structure/es}} {{fr|Document structure/fr}} {{pl|Document structure/pl}} {{ru|Document structure/ru}} {{se|Document structure/se}} }}


[[Category:User Documentation/de]]
[[Category:User Documentation]]
<languages/>

Revision as of 22:10, 29 November 2013

A FreeCAD document contains all the objects of your scene. It can contain groups, and objects made with any workbench. You can therefore switch between workbenches, and still work on the same document. The document is what gets saved to disk when you save your work. You can also open several documents at the same time in FreeCAD, and open several views of the same document.

Inside the document, the objects can be moved into groups, and have a unique name. Managing groups, objects and object names is done mainly from the Tree view. It can also be done, of course, like everything in FreeCAD, from the python interpreter. In the Tree view, you can create groups, move objects to groups, delete objects or groups, by right-clicking in the tree view or on an object, rename objects by double-clicking on their names, or possibly other operations, depending on the current workbench.

The objects inside a FreeCAD document can be of different types. Each workbench can create its own types of objects, for example the Mesh Workbench creates mesh objects, the Part Workbench create Part objects, the Draft Workbench also creates Part objects, etc.

If there is at least one document open in FreeCAD, there is always one and only one active document. That's the document that appears in the current 3D view, the document you are currently working on.

Application and User Interface

Like almost everything else in FreeCAD, the user interface part (Gui) is separated from the base application part (App). This is also valid for documents. The documents are also made of two parts: the Application document, which contains our objects, and the View document, which contains the representation on screen of our objects.

Think of it as two spaces, where the objects are defined. Their constructive parameters (is it a cube? a cone? which size?) are stored in the Application document, while their graphical representation (is it drawn with black lines? with blue faces?) are stored in the View document. Why is that? Because FreeCAD can also be used WITHOUT graphical interface, for example inside other programs, and we must still be able to manipulate our objects, even if nothing is drawn on the screen.

Another thing that is contained inside the View document are 3D views. One document can have several views opened, so you can inspect your document from several points of view at the same time. Maybe you would want to see a top view and a front view of your work at the same time? Then, you will have two views of the same document, both stored in the View document. Creating new views or closing views can be done from the View menu or by right-clicking on a view tab.

Scripting

Documents can be easily created, accessed and modified from the python interpreter. For example:

FreeCAD.ActiveDocument

Will return the current (active) document

FreeCAD.ActiveDocument.Blob

Would access an object called "Blob" inside your document

FreeCADGui.ActiveDocument

Will return the view document associated to the current document

FreeCADGui.ActiveDocument.Blob

Would access the graphical representation (view) part of our Blob object

FreeCADGui.ActiveDocument.ActiveView

Will return the current view

Mouse Model
Preferences Editor